
package sml.geoUtils.geometry;


public class PointGeo implements IPointGeo {
    Double latitude  = 0.0;
    Double longitude = 0.0;
    Double elevation = 0.0;
    public PointGeo(){
    }
    public PointGeo(Double lat, Double lon){
       this.latitude  = lat;
       this.longitude = lon;
       this.elevation = 0.0;
    }
    public PointGeo(Double lat, Double lon, Double ele){
       this.latitude  = lat;
       this.longitude = lon;
       this.elevation = ele;
    }
    public Double getLatitude() { return this.latitude; }
    public Double getLongitude(){ return this.longitude;}
    public Double getElevation(){ return this.elevation;}
    
    public void setLatitude(Double lat) { this.latitude  = lat;}
    public void setLongitude(Double lon){ this.longitude = lon;}
    public void setElevation(Double ele){ this.elevation = ele;}
    @Override
    public String toString(){
        String result;
        result = "lat:"+this.latitude+" lon:"+this.longitude;
        return result;
    }
}
