
package sml.gps.datamodel;

import sml.geoUtils.geometry.IPointGeo;
import sml.geoUtils.geometry.Segment;

public class GPSSegment extends Segment<IPointGeo> {
    GPSPoint start;
    GPSPoint end;
    public GPSSegment(GPSPoint start, GPSPoint end){
        super(start,end);
        this.start = start;
        this.end   = end;
    }
    public Double getTravelTime(){
        return  (this.start.getTime() - this.end.getTime())/1000.0/60.0/60.0;
    }
    public Double getAverageSpeed(){
        return this.getLength()/1000.0/this.getTravelTime();
    }
}
