/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package sml.utils;

import java.util.ArrayList;
import sml.gps.datamodel.GPSPoint;

public class GeoDistance {
    static public Double CalcDistance(GPSPoint pnt1, GPSPoint pnt2){
          return GeoDistance.calcDistance(pnt1.getLatitude(),pnt2.getLatitude(),pnt1.getLongitude(),pnt2.getLongitude());
    }
    static public Double calcDistance(Double lat1, Double lat2, Double lon1, Double lon2){
          lat1 = Math.toRadians(lat1);
          lat2 = Math.toRadians(lat2);
          lon1 = Math.toRadians(lon1);
          lon2 = Math.toRadians(lon2);
          Double distance = 0.0;
          distance = Math.sqrt((lat1-lat2)*(lat1-lat2) + (lon1-lon2)*(lon1-lon2)*Math.cos(lat1)*Math.cos(lat2))*6371.0;
          return distance;
    }
    static public Double calcDist(ArrayList<Double> Node1, ArrayList<Double> Node2){
        Double lat1 = Node1.get(0);
        Double lat2 = Node2.get(0);
        Double lon1 = Node1.get(1);
        Double lon2 = Node2.get(1);
        return calcDistance(lat1,lat2,lon1,lon2);
    }
}
