package sml.visualizer.datamodel;


import java.awt.Color;
import java.util.ArrayList;
import sml.gps.datamodel.GPSPoint;
import sml.gps.datamodel.GPSPoints;
import sml.gps.datamodel.GPSRoute;


public interface Register  {
    public int    getType();
    public void   setName(String name);
    public String getName();
    public void   setLineColor(Color color);
    public Color  getLineColor();
    public void   setLineWidth(int width);
    public int    getLineWidth();  
    public void   setSymbolColor(Color color);
    public Color  getSymbolColor();
    public void   setSymbolSize(int size);
    public int    getSymbolSize();    
    public int    getNodeCount();
    public GPSPoint getNode(int i);
    public GPSRoute getGPSRoute();
    public GPSPoints getGPSPoints();
    public ArrayList<GPSPoint> getArrayNodes();
    public void    remove(int i);
}
