package com.tecnalia.urbanite.anonymize.model;

import org.apache.commons.lang3.StringUtils;

public enum City {
	bilbao,
	messina,
	helsinki,
	amsterdam;

	public static Boolean any(String id)
	{
		if(!StringUtils.isBlank(id))
		{
			for(City city : City.values())
			{
				if(id.equals(city.name()))
				{
					return true;
				}
			}
		}
		return false;
	}

}