package sml.gps.datamodel;

import java.awt.Color;
import java.util.ArrayList;
import sml.visualizer.datamodel.Register;


public class GPSPoints implements Register {
    String name;
    Color  lineColor = Color.BLUE;
    int    lineWidth = 1;
    Color  symbolColor = Color.BLUE;
    int    symbolSize = 4;    
    public ArrayList<GPSPoint> pnts = new ArrayList<>();
    @Override
    public void   setName(String name) {this.name = name;}
    @Override
    public String getName()            {return this.name;}
    @Override
    public void   setLineColor(Color color){this.lineColor = color;}
    @Override
    public Color  getLineColor()           {return this.lineColor;}

    @Override
    public int getLineWidth() {
        return lineWidth;
    }

    @Override
    public void setLineWidth(int width) {
        this.lineWidth = width;
    }
    
    @Override
    public int getSymbolSize() {
        return symbolSize;
    }

    @Override
    public void setSymbolSize(int size) {
        this.symbolSize = size;
    }
    public ArrayList<GPSPoint> getPnts() {
        return pnts;
    }

    public void setPnts(ArrayList<GPSPoint> pnts) {
        this.pnts = pnts;
    }
    
    public void add(GPSPoint pnt){
        this.pnts.add(pnt);
    }

    @Override
    public int getNodeCount() {
        return this.pnts.size();
    }

    @Override
    public GPSPoint getNode(int i) {
        return this.pnts.get(i);
    }

    @Override
    public int getType() {
        return 0;
    }
    
    @Override
    public GPSRoute getGPSRoute(){
        return null;
    }
    
    @Override
    public GPSPoints getGPSPoints(){
        return this;
    }
    
    @Override
    public void remove(int i){
        this.getPnts().remove(i);
    }    
    
    @Override
    public ArrayList<GPSPoint> getArrayNodes(){
        return this.getPnts();
    }    

    @Override
    public void setSymbolColor(Color color) {
        this.symbolColor = color;
    }

    @Override
    public Color getSymbolColor() {
        return this.symbolColor;
    }
}